﻿import HpUI_Generate from "./ui-generate/HpUI_generate";

export default class HPbarUI extends HpUI_Generate {

	/** 
	 * 构造UI文件成功后，在合适的时机最先初始化一次 
	 */
	protected onStart() {
		// 设置能否每帧触发onUpdate
		this.canUpdate = false;
		this.layer = UILayerMiddle;
		// 初始化血条 设置最大值为 100 与血量相同
		this.mHPbar.sliderMaxValue = 100;
		// 设置当前数值为 100 表示满血
		this.mHPbar.currentValue = 100;

		// 监听血量改变事件
		Event.addLocalListener("Event_CurrentHp", (hpNum: number) => {
			this.mHPbar.currentValue = hpNum;
		});

	}

}
